From: "Yixun Lan" <dlan@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: gui-wm/hyprland/
Date: Sun, 18 Feb 2024 08:57:05 +0000 (UTC) [thread overview]
Message-ID: <1708246601.542237d50e54e05b6b339ed85f56ed22f19e0d0d.dlan@gentoo> (raw)
commit: 542237d50e54e05b6b339ed85f56ed22f19e0d0d
Author: Julien Roy <julien <AT> jroy <DOT> ca>
AuthorDate: Sat Feb 17 15:36:46 2024 +0000
Commit: Yixun Lan <dlan <AT> gentoo <DOT> org>
CommitDate: Sun Feb 18 08:56:41 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=542237d5
gui-wm/hyprland: add 0.35.0
Bug: https://bugs.gentoo.org/923995
Closes: https://bugs.gentoo.org/924179
Signed-off-by: Julien Roy <julien <AT> jroy.ca>
Signed-off-by: Yixun Lan <dlan <AT> gentoo.org>
gui-wm/hyprland/Manifest | 1 +
gui-wm/hyprland/hyprland-0.35.0.ebuild | 138 +++++++++++++++++++++++++++++++++
2 files changed, 139 insertions(+)
diff --git a/gui-wm/hyprland/Manifest b/gui-wm/hyprland/Manifest
index 236982f3bf04..da1fb0c0cadf 100644
--- a/gui-wm/hyprland/Manifest
+++ b/gui-wm/hyprland/Manifest
@@ -1,3 +1,4 @@
DIST hyprland-0.32.3.gh.tar.gz 14119304 BLAKE2B 304878a3bb167da9ceae8afbde21bf2c64b81ffd61c13ccfd772f240d234bb9cbd448f7ae2d0fcc6d8e7c7e29e1eca66ad68d98cfef9b22caccae9ee9f3ae39d SHA512 521cfa6b3621142cb4cc1e6c11978e49f28b29836a1a8e00cc2c697f44dcf620da63e9d39deeabb41130a56c65464b6117416c8a3c1bd690bb056955b7ccea40
DIST hyprland-0.33.1.gh.tar.gz 14120494 BLAKE2B bd007d332b39b614aefe09b240a340ee9d9eed346bc80dc66e976cf2fbf85ca342fe8bd66b863f1626be7366b9623c4543957f0618c858cec133ee9dd6ac027e SHA512 7e45266310452a12ada4761a9b76a7a385e55f6fae6a446c78595e89fcb8b1cef8275e09bf3b9b636a096498c5c2328b1d00b0c33447ab4d018a9a6956855352
DIST hyprland-0.34.0.gh.tar.gz 14128415 BLAKE2B 059fc8b849daeb71b08d7114fd8aea1264c0e9967f471df66b27aca46b95fd499d2929730ba66981bb7d6c423479533b280839db7839ca1df007825f72fb9bf8 SHA512 35cce0668a13d7e7fd220d62efd965a069ff0213996bfa47ca0852c6258881bc070020d4831364b325b71d8ce7373d1793a89006a4341088dcbaf01914920f1a
+DIST hyprland-0.35.0.gh.tar.gz 54200453 BLAKE2B f5a8a5ed5f5ca28e5fc5a329d5191abce458b9bf0b99bee970aaa4be40671bfe945dabe2b3ff34ca753beeb35ec7fe016e6a54669dbe1ee4f25e2c128c3e390d SHA512 5afe7c340b994f2542982d8c8fa837b2a43ef9e487810fec0b33e4a5cc9188b71e41a0be22839191cf15e9c1fdfd964d0751def51f93db438e4a45649077c8a7
diff --git a/gui-wm/hyprland/hyprland-0.35.0.ebuild b/gui-wm/hyprland/hyprland-0.35.0.ebuild
new file mode 100644
index 000000000000..640be8a77ac9
--- /dev/null
+++ b/gui-wm/hyprland/hyprland-0.35.0.ebuild
@@ -0,0 +1,138 @@
+# Copyright 2023-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit meson toolchain-funcs
+
+DESCRIPTION="A dynamic tiling Wayland compositor that doesn't sacrifice on its looks"
+HOMEPAGE="https://github.com/hyprwm/Hyprland"
+
+if [[ "${PV}" = *9999 ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/hyprwm/${PN^}.git"
+else
+ SRC_URI="https://github.com/hyprwm/${PN^}/releases/download/v${PV}/source-v${PV}.tar.gz -> ${P}.gh.tar.gz"
+ S="${WORKDIR}/${PN}-source"
+
+ KEYWORDS="~amd64 ~riscv"
+fi
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="X legacy-renderer systemd"
+
+# hyprpm (hyprland plugin manager) requires the dependencies at runtime
+# so that it can clone, compile and install plugins.
+HYPRPM_RDEPEND="
+ app-alternatives/ninja
+ dev-build/cmake
+ dev-build/meson
+ dev-vcs/git
+ sys-auth/polkit
+ virtual/pkgconfig
+"
+# bundled wlroots has the following dependency string according to included headers.
+# wlroots[drm,gles2-renderer,libinput,x11-backend?,X?]
+# enable x11-backend with X and vice versa
+WLROOTS_RDEPEND="
+ >=dev-libs/libinput-1.14.0:=
+ dev-libs/libliftoff
+ >=dev-libs/wayland-1.22
+ media-libs/libdisplay-info
+ media-libs/libglvnd
+ media-libs/mesa[egl(+),gles2]
+ sys-apps/hwdata:=
+ sys-auth/seatd:=
+ >=x11-libs/libdrm-2.4.120
+ x11-libs/libxkbcommon
+ >=x11-libs/pixman-0.42.0
+ virtual/libudev:=
+ X? (
+ x11-base/xwayland
+ x11-libs/libxcb:0=
+ x11-libs/xcb-util-renderutil
+ x11-libs/xcb-util-wm
+ )
+"
+WLROOTS_DEPEND="
+ >=dev-libs/wayland-protocols-1.32
+"
+WLROOTS_BDEPEND="
+ dev-util/glslang
+ dev-util/wayland-scanner
+"
+RDEPEND="
+ ${HYPRPM_RDEPEND}
+ ${WLROOTS_RDEPEND}
+ dev-cpp/tomlplusplus
+ dev-libs/glib:2
+ dev-libs/libinput
+ dev-libs/wayland
+ media-libs/libglvnd
+ x11-libs/cairo
+ x11-libs/libdrm
+ x11-libs/libxkbcommon
+ x11-libs/pango
+ x11-libs/pixman
+ X? (
+ x11-libs/libxcb:0=
+ )
+"
+DEPEND="
+ ${RDEPEND}
+ ${WLROOTS_DEPEND}
+ dev-libs/hyprland-protocols
+ dev-libs/wayland-protocols
+"
+BDEPEND="
+ ${WLROOTS_BDEPEND}
+ || ( >=sys-devel/gcc-13:* >=sys-devel/clang-16:* )
+ app-misc/jq
+ dev-build/cmake
+ dev-util/wayland-scanner
+ virtual/pkgconfig
+"
+
+pkg_setup() {
+ [[ ${MERGE_TYPE} == binary ]] && return
+
+ if tc-is-gcc && ver_test $(gcc-version) -lt 13 ; then
+ eerror "Hyprland requires >=sys-devel/gcc-13 to build"
+ eerror "Please upgrade GCC: emerge -v1 sys-devel/gcc"
+ die "GCC version is too old to compile Hyprland!"
+ elif tc-is-clang && ver_test $(clang-version) -lt 16 ; then
+ eerror "Hyprland requires >=sys-devel/clang-16 to build"
+ eerror "Please upgrade Clang: emerge -v1 sys-devel/clang"
+ die "Clang version is too old to compile Hyprland!"
+ fi
+}
+
+src_configure() {
+ local emesonargs=(
+ $(meson_feature legacy-renderer legacy_renderer)
+ $(meson_feature systemd)
+ $(meson_feature X xwayland)
+ $(meson_feature X wlroots:xwayland)
+ -Dwlroots:backends=drm,libinput$(usev X ',x11')
+ -Dwlroots:xcb-errors=disabled
+ )
+
+ meson_src_configure
+}
+
+src_install() {
+ # First install everything except wlroots to avoid conflicts.
+ meson_src_install --skip-subprojects wlroots
+ # Then install development files (mainly wlroots) for bug #916760.
+ meson_src_install --tags devel
+
+ # Wlroots headers are required by hyprland-plugins and the pkgconfig file expects
+ # them to be in /usr/include/hyprland/wlroots, despite this they aren't installed there.
+ # Ideally you could override includedir per subproject and the install tags would
+ # be granular enough to only install headers. But its not requiring this.
+ mkdir "${ED}"/usr/include/hyprland/wlroots || die
+ mv "${ED}"/usr/include/wlr "${ED}"/usr/include/hyprland/wlroots || die
+ # devel tag includes wlroots .pc and .a files still
+ rm -rf "${ED}"/usr/$(get_libdir)/ || die
+}
next reply other threads:[~2024-02-18 8:57 UTC|newest]
Thread overview: 95+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-02-18 8:57 Yixun Lan [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-08 20:26 [gentoo-commits] repo/gentoo:master commit in: gui-wm/hyprland/ Sam James
2024-12-29 0:11 Yixun Lan
2024-12-29 0:11 Yixun Lan
2024-12-29 0:11 Yixun Lan
2024-12-27 7:02 Sam James
2024-12-27 0:50 Yixun Lan
2024-12-27 0:50 Yixun Lan
2024-12-10 15:22 Sam James
2024-11-20 21:30 Yixun Lan
2024-11-19 0:12 Yixun Lan
2024-11-17 10:15 Yixun Lan
2024-11-17 10:15 Yixun Lan
2024-10-17 11:40 Yixun Lan
2024-10-17 11:40 Yixun Lan
2024-09-26 12:49 Yixun Lan
2024-09-11 2:34 Yixun Lan
2024-09-11 2:34 Yixun Lan
2024-09-10 15:46 Jakov Smolić
2024-08-11 2:44 Yixun Lan
2024-08-11 2:44 Yixun Lan
2024-08-11 2:44 Yixun Lan
2024-08-11 2:44 Yixun Lan
2024-08-09 3:18 Yixun Lan
2024-08-09 3:18 Yixun Lan
2024-08-09 3:18 Yixun Lan
2024-08-09 3:18 Yixun Lan
2024-08-09 3:18 Yixun Lan
2024-07-27 17:16 Arthur Zamarin
2024-07-25 0:06 Yixun Lan
2024-07-01 22:40 Yixun Lan
2024-07-01 22:40 Yixun Lan
2024-06-30 15:05 James Le Cuirot
2024-06-25 8:18 Yixun Lan
2024-05-28 14:08 Yixun Lan
2024-05-23 16:10 Matt Turner
2024-05-15 8:04 Yixun Lan
2024-05-15 8:04 Yixun Lan
2024-05-13 18:00 Arthur Zamarin
2024-05-06 2:21 Yixun Lan
2024-04-27 11:09 Yixun Lan
2024-04-16 22:09 Yixun Lan
2024-04-16 22:09 Yixun Lan
2024-04-16 22:09 Yixun Lan
2024-04-15 23:51 Yixun Lan
2024-04-15 23:51 Yixun Lan
2024-04-13 5:45 Joonas Niilola
2024-04-08 12:56 Yixun Lan
2024-04-02 11:44 Yixun Lan
2024-03-17 9:10 Yixun Lan
2024-03-16 23:51 Yixun Lan
2024-03-16 23:51 Yixun Lan
2024-03-02 1:23 Yixun Lan
2024-03-01 1:08 Yixun Lan
2024-03-01 1:08 Yixun Lan
2024-02-23 0:50 Yixun Lan
2024-02-23 0:50 Yixun Lan
2024-02-23 0:50 Yixun Lan
2024-02-18 8:57 Yixun Lan
2024-02-18 0:15 Sam James
2024-01-05 19:42 Jakov Smolić
2024-01-05 10:36 Sam James
2024-01-03 13:45 Yixun Lan
2024-01-03 13:45 Yixun Lan
2024-01-03 13:45 Yixun Lan
2023-12-20 15:19 Sam James
2023-12-13 12:27 Yixun Lan
2023-12-12 8:14 Yixun Lan
2023-12-12 8:14 Yixun Lan
2023-11-26 7:49 Yixun Lan
2023-11-26 7:49 Yixun Lan
2023-11-12 23:56 Yixun Lan
2023-11-12 23:29 Yixun Lan
2023-11-12 23:29 Yixun Lan
2023-11-12 6:39 Sam James
2023-11-12 0:02 Yixun Lan
2023-11-11 11:23 Yixun Lan
2023-11-11 10:28 Yixun Lan
2023-11-11 10:28 Yixun Lan
2023-11-04 19:48 Sam James
2023-11-04 19:48 Sam James
2023-10-27 3:20 Sam James
2023-10-01 7:47 Sam James
2023-10-01 7:47 Sam James
2023-09-18 9:50 Sam James
2023-09-18 9:50 Sam James
2023-07-27 3:10 Sam James
2023-07-23 1:52 Sam James
2023-07-19 15:10 Sam James
2023-07-19 15:10 Sam James
2023-06-11 8:22 Joonas Niilola
2023-06-05 8:05 Sam James
2023-06-05 5:32 Sam James
2023-06-05 5:15 Sam James
2023-05-29 14:21 Sam James
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1708246601.542237d50e54e05b6b339ed85f56ed22f19e0d0d.dlan@gentoo \
--to=dlan@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox